更新Xcode问题的解决方法

释放双眼,带上耳机,听听看~!

1.Multiple  commands 的错误。

选中Xcode —File —Workspace settings

设置成Legacy Build System就可以了。

2.
Xcode10不支持libstdc++系列的库了、需要删掉并且换成libc++.tbd。有些第三方由于没有更新、会牵扯到这个库、所以运行后报错、需要更新报错中相关的三方。

3.
当换了库了还是报错找不到libstdc++系列的库、需要看下Build Settings—Other Linker Flags的配置中是否还包含有这个系列的库—-删掉即可、一般想不起来这个地方。

4、pod第三方库中也可能含有libstdc++、Pods-AppName.debug.xcconfig和Pod-AppName.debug.xcconfig中如果有的话、需要update一下第三方库

人已赞赏
iOS文章

iOS 页面跳转的问题

2020-3-2 16:01:22

iOS文章

ios - 视频播放器

2020-3-2 16:58:53

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
有新消息 消息中心
搜索